aboutsummaryrefslogtreecommitdiff
path: root/scripts/UBOOT/70-customize
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/UBOOT/70-customize')
-rw-r--r--scripts/UBOOT/70-customize18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/UBOOT/70-customize b/scripts/UBOOT/70-customize
new file mode 100644
index 0000000..5429175
--- /dev/null
+++ b/scripts/UBOOT/70-customize
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+cat << EOF > $target/etc/default/u-boot
+U_BOOT_FDT=$fdtfile
+U_BOOT_PARAMETERS="rw rootwait"
+EOF
+
+# hack - the "make deb" kernel package should handle this
+for kernel in $target/boot/vmlinuz-*
+do
+ mv $kernel $kernel.gz
+ gunzip $kernel
+ ver=$(echo $kernel|sed -e 's,.*vmlinuz-,,')
+ chroot $target /usr/sbin/update-initramfs -c -k $ver||true
+done
+
+chroot $target /usr/sbin/u-boot-update||true